package com.iamberry.wechat.iot;
/**
 * 微信硬件设备
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2017年2月20日
 */
public class Device {

	private String id;				// id
	
	private String mac;				// mac地址
	
	private String connect_protocol;// 连接协议
	
	private String auth_key;		// 授权的key
	
	private int close_strategy;		// 关闭策略
	
	private int conn_strategy;		// 连接策略
	
	private int crypt_method;		// 加密方法
	
	private int auth_ver;			// 授权的版本
	
	private int manu_mac_pos;		
	
	private int ser_mac_pos;
	
	private int ble_simple_protocol;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMac() {
		return mac;
	}

	public void setMac(String mac) {
		this.mac = mac;
	}

	public String getConnect_protocol() {
		return connect_protocol;
	}

	public void setConnect_protocol(String connect_protocol) {
		this.connect_protocol = connect_protocol;
	}

	public String getAuth_key() {
		return auth_key;
	}

	public void setAuth_key(String auth_key) {
		this.auth_key = auth_key;
	}

	public int getClose_strategy() {
		return close_strategy;
	}

	public void setClose_strategy(int close_strategy) {
		this.close_strategy = close_strategy;
	}

	public int getConn_strategy() {
		return conn_strategy;
	}

	public void setConn_strategy(int conn_strategy) {
		this.conn_strategy = conn_strategy;
	}

	public int getCrypt_method() {
		return crypt_method;
	}

	public void setCrypt_method(int crypt_method) {
		this.crypt_method = crypt_method;
	}

	public int getAuth_ver() {
		return auth_ver;
	}

	public void setAuth_ver(int auth_ver) {
		this.auth_ver = auth_ver;
	}

	public int getManu_mac_pos() {
		return manu_mac_pos;
	}

	public void setManu_mac_pos(int manu_mac_pos) {
		this.manu_mac_pos = manu_mac_pos;
	}

	public int getSer_mac_pos() {
		return ser_mac_pos;
	}

	public void setSer_mac_pos(int ser_mac_pos) {
		this.ser_mac_pos = ser_mac_pos;
	}

	public int getBle_simple_protocol() {
		return ble_simple_protocol;
	}

	public void setBle_simple_protocol(int ble_simple_protocol) {
		this.ble_simple_protocol = ble_simple_protocol;
	}
}
